# Payment Channel Inquiry

This process is used to view the list of payment channels used by the merchant. The process is done when the merchant inquiry request gets a response from Faspay.

## **URL Endpoint Payment Channel Inquiry**

The endpoint URL is a feedback URL that will process the data at the request of the merchant system. For the implementation of the testing, UAT can use the development URL.

<table><thead><tr><th width="89">Type</th><th width="159">Environment</th><th>URL</th></tr></thead><tbody><tr><td>XML</td><td>Development</td><td><a href="https://debit-sandbox.faspay.co.id/pws/100001/182xx00010100000">https://debit-sandbox.faspay.co.id/pws/100001/182xx00010100000</a></td></tr><tr><td>JSON</td><td>Development</td><td><a href="https://debit-sandbox.faspay.co.id/cvr/100001/10">https://debit-sandbox.faspay.co.id/cvr/100001/10</a></td></tr></tbody></table>

## **Inquiry Request Parameter Payment Channel**

Request parameters are parameters that the merchant's system must provide to integrate with the Faspay system.

{% tabs %}
{% tab title="Request" %}

<table><thead><tr><th width="143">Parameter</th><th width="174">Data Type</th><th width="88">M/O/C</th><th width="277">Description</th></tr></thead><tbody><tr><td>request</td><td>Alphanumeric (50)</td><td>O</td><td>Request Description</td></tr><tr><td>merchant_id</td><td>Numeric (5)</td><td>M</td><td>Merchant Code</td></tr><tr><td>merchant</td><td>Alphanumeric (32)</td><td>O</td><td>Merchant Name</td></tr><tr><td>signature</td><td>Alphanumeric</td><td>M</td><td>sha1(md5(user_id+password))</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample XML Request" %}

```xml
<?xml version="1.0"?>
<faspay>
    <request>Request List of Payment Gateway</request>
    <merchant_id>31019</merchant_id>
    <merchant>Sophia Store</merchant>
    <signature>18a157f7dd95df490f28d62e3ec7bf5bb9911be1</signature>
</faspay>
```

{% endtab %}

{% tab title="Sample JSON Request" %}

```json
{
    "request":"Request List of Payment Gateway",
    "merchant_id":"98765",
    "merchant":"Sophia Store",
    "signature":"e73f632e99308e424cac281b5d28c4cfc150e85b"
}
```

{% endtab %}
{% endtabs %}

**Response Payment Channel Inquiry**

Response parameters will be delivered by Faspay system in response to requests that have been sent by the merchant system. If no parameters are appropriate/value is incorrect, the transaction will be rejected in Faspay system.

{% tabs %}
{% tab title="Response" %}

<table><thead><tr><th>Parameter</th><th width="178">Data Type</th><th width="98">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>response</td><td>Alphanumeric (50)</td><td>O</td><td>Response Description</td></tr><tr><td>merchant_id</td><td>Numeric (5)</td><td>M</td><td>Merchant Code</td></tr><tr><td>merchant</td><td>Alphanumeric (32)</td><td>O</td><td>Merchant Name</td></tr><tr><td>pg_code</td><td>Numeric (3)</td><td>M</td><td>Payment Channel Code</td></tr><tr><td>pg_name</td><td>Alphanumeric (32)</td><td>M</td><td>Payment Channel Name</td></tr><tr><td>response_code</td><td>Alphanumeric (2)</td><td>M</td><td>Response Code</td></tr><tr><td>response_desc</td><td>Alphanumeric (32)</td><td>M</td><td>Response Description</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Response XML" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<faspay>
    <response>Request List of Payment Gateway</response>
    <merchant_id>31019</merchant_id>
    <merchant>EVOUCHER</merchant>
    <payment_channel>
        <pg_code>405</pg_code>
        <pg_name>BCA klikPay</pg_name>
    </payment_channel>
    <payment_channel>
        <pg_code>400</pg_code>
        <pg_name>BRI MOBILE BANKING</pg_name>
    </payment_channel>
    <payment_channel>
        <pg_code>401</pg_code>
        <pg_name>BRI NET-PAY</pg_name>
    </payment_channel>
    <payment_channel>
        <pg_code>402</pg_code>
        <pg_name>Permata</pg_name>
    </payment_channel>
    <payment_channel>
        <pg_code>301</pg_code>
        <pg_name>TELKOMSEL TCash</pg_name>
    </payment_channel>
    <response_code>00</response_code>
    <response_desc>Success</response_desc>
</faspay>
```

{% endtab %}

{% tab title="Sample Response JSON" %}

```json
{
    "response": "List Payment Channel",
    "merchant_id": "99998",
    "merchant": "Sophia Store",
    "payment_channel": [
        {
            "pg_code": "707",
            "pg_name": "ALFAGROUP"
        },
        {
            "pg_code": "409",
            "pg_name": "ATMB"
        },
        {
            "pg_code": "308",
            "pg_name": "BBM Money"
        },
        {
            "pg_code": "801",
            "pg_name": "BNI Virtual Account"
        },
        {
            "pg_code": "800",
            "pg_name": "BRI Virtual Account"
        },
        {
            "pg_code": "500",
            "pg_name": "CREDIT CARD"
        },
        {
            "pg_code": "701",
            "pg_name": "DANAMON ONLINE BANKING"
        },
        {
            "pg_code": "708",
            "pg_name": "Danamon VA"
        },
        {
            "pg_code": "307",
            "pg_name": "DOMPETKU"
        },
        {
            "pg_code": "802",
            "pg_name": "Mandiri Virtual Account"
        },
        {
            "pg_code": "402",
            "pg_name": "Permata"
        },
        {
            "pg_code": "410",
            "pg_name": "UNICount"
        }
    ],
    "response_code": "00",
    "response_desc": "Success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/debit-transaction/payment-channel-inquiry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
